Get a user
curl --request GET \
--url https://api.shiftkeeper.io/users/{user_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.shiftkeeper.io/users/{user_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.shiftkeeper.io/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"user": {
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"time_zone": "<string>",
"slack_id": "<string>"
}
}{
"error": {
"code": "not_found",
"status": 404,
"message": "The requested resource was not found"
}
}Users
Get a user
Get a user by their ID.
GET
/
users
/
{user_id}
Get a user
Authorizations
Enter your API key which starts with 'keeper_'
Headers
Shiftkeeper API version
Example:
"2024-12-01"
Path Parameters
The ID of the user.
Response
Default Response
Show child attributes
Show child attributes
Examples:
{
"id": "usr_bq7CmsOKLmkMeZkUUu1hy",
"name": "Rick",
"email": "rick@example.org",
"time_zone": "Europe/Paris",
"role": "owner",
"seat": "member",
"slack_id": "U082KENSEQ3"
}
{
"id": "usr_C0GwCFdk0I4pBMRny4qYV",
"name": "Dena",
"email": "dena@example.org",
"role": "standard",
"seat": "member",
"slack_id": "U082GMAFR1T"
}
{
"id": "usr_YlxrjoB1JqUsollScfFYT",
"name": "Lily",
"email": "lily@example.org",
"time_zone": "America/New_York",
"role": "standard",
"seat": "viewer",
"slack_id": "U0529FWNCG2"
}
⌘I